Subject: I/O redirection of binary data
From: [email-masked] (Paul Wessel)

11 Sep 1998 17:11:34 -0700
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
To: [email-masked]
Cc: [email-masked]

Hi gnu-win32 experts-

POSIX recommends that one could use the b(inary) modifier
in fopen for portability since the b has no effect on POSIX
systems but may be needed in, say, MS-DOS.  How can
I deal with this in redirection?  I often have a program do

program > data

and data is supposed to be binary but under gnu-win32 I noticed
that the file size is incorrect (it is larger probably due to CR/LFs?)
compared to POSIX systems.  This also causes problems when
trying to read the file with anotherprogram < data.
Are there any non-intrusive solutions?  WHen using stdout I am
not using fopen so I cannot easily use the binary flag...

Prof. Paul Wessel
Visiting Professor
Institute for Geologi
P.B. 1047 Blindern
N-0316 Oslo, Norway
+47 22857326

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".